<div class="red-header">
    <img type="button" src="../../../assets/list.svg" (click)="drawer.toggle()">
</div>
<mat-drawer #drawer class="sidenav" mode="side">
    <mat-list>
        <mat-list-item>
            <span>hi, {{ userName }}</span>
        </mat-list-item>
        <br>
        <hr>
        <mat-list-item>Home
        </mat-list-item>
        <hr>
        <mat-list-item>About
        </mat-list-item>
        <hr>
        <mat-list-item (click)="logout()">Logout
        </mat-list-item>
        <hr>
    </mat-list>
</mat-drawer>